Page MenuHomePhabricator

Gate cross-wiki preferences entirely (default off)
Closed, ResolvedPublic

Description

Gate the cross-wiki feature entirely with a $wg.

If off, cross-wiki notifications are always off, $wgEchoUseCrossWikiBetaFeature should be ignored, and the preference should not be registered.

This can be done already (by setting the preference off and hiding it), but that should be the default, since most wikis using Echo are probably not cross-wiki.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 8:16 PM
Catrope claimed this task.May 13 2016, 8:17 PM

Change 288697 had a related patch set uploaded (by Catrope):
Add $wgEchoCrossWikiNotifications flag to disable cross-wiki notifications

https://gerrit.wikimedia.org/r/288697

Change 288701 had a related patch set uploaded (by Catrope):
Set $wgEchoCrossWikiNotifications to true on CentralAuth wikis

https://gerrit.wikimedia.org/r/288701

Change 288702 had a related patch set uploaded (by Catrope):
Remove HiddenPrefs hack for turning off cross-wiki notifications

https://gerrit.wikimedia.org/r/288702

Change 288701 merged by jenkins-bot:
Set $wgEchoCrossWikiNotifications to true on CentralAuth wikis

https://gerrit.wikimedia.org/r/288701

Change 288697 merged by jenkins-bot:
Add $wgEchoCrossWikiNotifications flag to disable cross-wiki notifications

https://gerrit.wikimedia.org/r/288697

Change 288707 had a related patch set uploaded (by Catrope):
Add $wgEchoCrossWikiNotifications flag to disable cross-wiki notifications

https://gerrit.wikimedia.org/r/288707

Change 288707 merged by jenkins-bot:
Add $wgEchoCrossWikiNotifications flag to disable cross-wiki notifications

https://gerrit.wikimedia.org/r/288707

Checked as general regressions testing for Preferences; also checked in vagrant for $wgEchoUseCrossWikiBetaFeature and $wgEchoCrossWikiNotifications.

jmatazzoni closed this task as Resolved.Jun 9 2016, 5:14 PM

Change 288702 merged by jenkins-bot:
Remove HiddenPrefs hack for turning off cross-wiki notifications

https://gerrit.wikimedia.org/r/288702

Mentioned in SAL [2016-06-09T23:47:45Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: Remove HiddenPrefs hack for turning off cross-wiki notifications (T135266) (duration: 00m 27s)

Change 295113 had a related patch set uploaded (by Catrope):
Add $wgEchoCrossWikiNotifications flag to disable cross-wiki notifications

https://gerrit.wikimedia.org/r/295113

Change 295113 merged by Catrope:
Add $wgEchoCrossWikiNotifications flag to disable cross-wiki notifications

https://gerrit.wikimedia.org/r/295113